Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032040
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] Y. DBSourceManagermajorhave not tried2016-01-28 13:152016-03-17 10:56
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revisiond8b7a295fc30
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032040: Make the ExportSampleData class extensible

DescriptionAs part of the multiserver project, there is a need to export the data relative to specific organization (stores). This task will be very similar to the ExportSampleData task, but this task is still not ready to be extended.

The ExportSampleData class should be updated to be made more extensible so that it supports:
- To define the dataset used in the export process
- To define the way each table is exported to XML
- To define how the where clause of the dataset table should be managed
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0084216)
hgbot (developer)
2016-02-15 18:52

Repository: erp/devel/dbsm-main
Changeset: c4276db3db1d5f5ea5086d478193e0da059d17d5
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Feb 15 15:10:39 2016 +0100
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/c4276db3db1d5f5ea5086d478193e0da059d17d5 [^]

Fixes issue 32040. Merges [extend-exportsampledata] project to pi

---
M src/org/openbravo/ddlutils/task/ExportSampledata.java
---
(0084219)
hgbot (developer)
2016-02-15 19:05

Repository: erp/devel/pi
Changeset: d8b7a295fc30406c655789112b2c9e249708daa4
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Feb 15 19:01:37 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d8b7a295fc30406c655789112b2c9e249708daa4 [^]

Fixes issue 32040: The ExportSampledata task can be extended

The task can now be extended by:
- Defining the dataset to be exported
- Defining how to manage the where clause of the dataset tables
- Defining the DatabaseDataIO implementation to use to export a table to XML
- Defining the folder where the data should be exported to

It is also supported to define a table several times in the same dataset, and each of the dataset tables will be exported to their own xml file.

---
M src-db/database/lib/dbsourcemanager.jar
---
(0084347)
alostale (developer)
2016-02-19 10:32

code reviewed + tested
(0085140)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-01-28 13:15 AugustoMauch New Issue
2016-01-28 13:15 AugustoMauch Assigned To => AugustoMauch
2016-01-28 13:15 AugustoMauch Modules => Core
2016-01-28 13:15 AugustoMauch Triggers an Emergency Pack => No
2016-02-03 12:24 AugustoMauch Summary Create a task to export the non-source data relative to an organization => Make the ExportSampleData class extensible
2016-02-03 12:24 AugustoMauch Description Updated View Revisions
2016-02-03 12:24 AugustoMauch Proposed Solution updated
2016-02-15 18:50 AugustoMauch Review Assigned To => alostale
2016-02-15 18:52 hgbot Checkin
2016-02-15 18:52 hgbot Note Added: 0084216
2016-02-15 18:52 hgbot Status new => resolved
2016-02-15 18:52 hgbot Resolution open => fixed
2016-02-15 18:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/dbsm-main/rev/c4276db3db1d5f5ea5086d478193e0da059d17d5 [^]
2016-02-15 19:05 hgbot Checkin
2016-02-15 19:05 hgbot Note Added: 0084219
2016-02-15 19:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/dbsm-main/rev/c4276db3db1d5f5ea5086d478193e0da059d17d5 [^] => http://code.openbravo.com/erp/devel/pi/rev/d8b7a295fc30406c655789112b2c9e249708daa4 [^]
2016-02-19 10:32 alostale Note Added: 0084347
2016-02-19 10:32 alostale Status resolved => closed
2016-02-19 10:32 alostale Fixed in Version => 3.0PR16Q2
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085140


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker